Hello Guest

Author Topic: Having some issues with the BABEL installation  (Read 2981 times)

0 Members and 1 Guest are viewing this topic.

Offline Rolling

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
    • View Profile
Having some issues with the BABEL installation
« on: April 02, 2008, 07:43:23 AM »
Hi there, hope you guys dont mind giving me a little help, cause this is giving me a headache, anyway, here i go.

   Take into account that im not a Linux proffesional user, anyway, I decided to install Babel Enterprise server in a computer running GNU/Linux Debian (Etch) i downloaded the Babel enterprise Manual and followed each stop exactly as the manual said. Before the installation, i need a couple of libraries and other apps that the babel needs for the correct installation.

"
  In a Ubuntu/Debian GNU/Linux package names are
 • libxml2-dev
 • libmysqlclient14-dev
 • autoconf
 • automake1.9
  • pkg-config
       "
 
I downloaded each of those packages ( using aptitude )
BTW: i couldnt find libmysqlclient14-dev, instead of the 14 i found another version "libmysqlclient15-dev", hope that doesnt make any difference )

After that i said, ok, we're ready for the babel server installation. Here is where the whole issue started. By the time i ran ./configure, an error appeared, saying something about some missmatch of versions. Glib, Gmodule and another one i cant recall.

the error was something like, i needed a higher version or something of this 3 modules.

Glib >= 2.6.0
Gmodule >= 2.6.0
and the other one i can recall >= 2.6.0

   I said mmm, im screwed, lets google it, after a lot of time searching for some similar errors i found this forum, where a guy says to another guy that was having a similar issue, that tried installing this lib " dbus-glib-1-dev".

   I did the same thing,  i "aptitude install dbus-glib-1-dev", and for my surprise, after i ran ./configure, the problemas was gone, so, its time for some "make".

#make
and this error appeared

"sys/inotify.h: No such file or directory"

   Kinda weird uh? anyway, i did a locate notify.h. and found that the inotify.h was at  /usr/include/linux/inotify.h.


i " cp /usr/include/linux/inotify.h  /usr/include/sys/". Dont know if that is the best way to do it, but like i said, im getting familiar with this OS, and it worked for me, the problemas was gone, but another one came into action.

# make
make  all-recursive
make[1]: Entering directory `/home/web/babel/babel-server-1.1.0'
Making all in src
make[2]: Entering directory `/home/web/babel/babel-server-1.1.0/src'
/bin/sh ../libtool --tag=CC --mode=link gcc  -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2     -o babelserver  main.o babel-data.o babel-agent.o babel-module.o babel-db-connection.o babel-setup.o babel-server.o babel-mysql.o babel-xmlparser.o babel-plugin-module.o babel-plugins-manager.o babel-incoming-monitor.o babel-plugin.o -Wl,--export-dynamic -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lxml2   -L/usr/lib/mysql -lmysqlclient -Wl,--export-dynamic -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lxml2
gcc -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -o babelserver main.o babel-data.o babel-agent.o babel-module.o babel-db-connection.o babel-setup.o babel-server.o babel-mysql.o babel-xmlparser.o babel-plugin-module.o babel-plugins-manager.o babel-incoming-monitor.o babel-plugin.o -Wl,--export-dynamic -Wl,--export-dynamic  -L/usr/lib/mysql /usr/lib/libmysqlclient.so /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so /usr/lib/libxml2.so
babel-incoming-monitor.o: In function `babel_incoming_monitor_add_watch':
babel-incoming-monitor.c:(.text+0x1de): undefined reference to `inotify_init'
babel-incoming-monitor.c:(.text+0x229): undefined reference to `inotify_add_watch'
collect2: ld returned 1 exit status
make[2]: *** [babelserver] Error 1
make[2]: Leaving directory `/home/web/babel/babel-server-1.1.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/web/babel/babel-server-1.1.0'
make: *** [all] Error 2


Here i am, and i dont know what to do, can any of you guys help me? any suggestion? plz.!






Sorry for the inconvenient. See ya
« Last Edit: December 31, 1969, 04:00:00 PM by Rolling »

Offline steve-o

  • Full Member
  • ***
  • Posts: 25
  • Karma: 0
    • View Profile
Having some issues with the BABEL installation
« Reply #1 on: April 03, 2008, 09:57:11 AM »
Hi,

You need libc6 > 2.4 to get inotify support. Although you may have inotify.h header file, libc6 does not have the symbols and the support to use it. Do not confuse this library with glib, which is a different set of tools.

The solution is to upgrade your linux distribution to a newer one. In your case unstable debian.

Greetings.
« Last Edit: December 31, 1969, 04:00:00 PM by steve-o »

Offline Enrique

  • Sr. Member
  • ****
  • Posts: 74
  • Karma: 0
    • View Profile
Having some issues with the BABEL installation
« Reply #2 on: July 02, 2008, 02:36:50 AM »
In order to install Babel server,
is mandatory to upgrade out linux distrib to a non stable version????????

There is no way to compile into a stable linux distribution?
« Last Edit: December 31, 1969, 04:00:00 PM by churria »

Offline Manuel Arostegui

  • Global Moderator
  • Expert member
  • *****
  • Posts: 853
  • Karma: 50
    • View Profile
Having some issues with the BABEL installation
« Reply #3 on: July 02, 2008, 05:14:12 AM »
No, it ain't as long as you have libc6 > 2.4, that's all you need, the linux by itself doesn't make any difference
« Last Edit: December 31, 1969, 04:00:00 PM by manu »

Offline Enrique

  • Sr. Member
  • ****
  • Posts: 74
  • Karma: 0
    • View Profile
Having some issues with the BABEL installation
« Reply #4 on: July 02, 2008, 05:50:29 AM »
Thaks for your reply!
« Last Edit: December 31, 1969, 04:00:00 PM by churria »

admin

  • Guest
Having some issues with the BABEL installation
« Reply #5 on: July 04, 2008, 11:23:08 AM »
BOLD text, no creo que lo vea bien

admin

  • Guest
Having some issues with the BABEL installation
« Reply #6 on: July 04, 2008, 11:34:25 AM »
This is a BBCOde

Y esto es cursiva